libstdc++

Public Types | Public Member Functions | Public Attributes | Protected Types | List of all members
__gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > Class Template Reference
Inheritance diagram for __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >:
[legend]

## Public Types

typedef _Alloc::template rebind< value_type > ::other::const_pointer | const_pointer
typedef _Alloc::template rebind< value_type > ::other::const_reference | const_reference
typedef trivial_iterator_difference_type | difference_type
typedef trivial_iterator_tag | iterator_category
typedef _Alloc::template rebind< value_type > ::other::pointer | pointer
typedef _Alloc::template rebind< value_type > ::other::reference | reference
typedef Value_Type | value_type

## Public Member Functions

| binary_heap_point_const_iterator_ (entry_pointer p_e)
| binary_heap_point_const_iterator_ ()
| binary_heap_point_const_iterator_ (const binary_heap_point_const_iterator_ &other)
bool | operator!= (const binary_heap_point_const_iterator_ &other) const
const_reference | operator* () const
const_pointer | operator-> () const
bool | operator== (const binary_heap_point_const_iterator_ &other) const

## Public Attributes

entry_pointer | m_p_e

## Protected Types

typedef _Alloc::template rebind< Entry > ::other::pointer | entry_pointer

## Detailed Description

### template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>
class __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >

Const point-type iterator.

Definition at line 55 of file binary_heap_/point_const_iterator.hpp.

## Member Typedef Documentation

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

typedef _Alloc::template rebind<value_type>::other::const_pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::const_pointer

Iterator's const pointer type.

Definition at line 77 of file binary_heap_/point_const_iterator.hpp.

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

typedef _Alloc::template rebind<value_type>::other::const_reference __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::const_reference

Iterator's const reference type.

Definition at line 87 of file binary_heap_/point_const_iterator.hpp.

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

typedef trivial_iterator_difference_type __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::difference_type

Difference type.

Definition at line 65 of file binary_heap_/point_const_iterator.hpp.

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

typedef trivial_iterator_tag __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::iterator_category

Category.

Definition at line 62 of file binary_heap_/point_const_iterator.hpp.

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

typedef _Alloc::template rebind<value_type>::other::pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::pointer

Iterator's pointer type.

Definition at line 72 of file binary_heap_/point_const_iterator.hpp.

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

typedef _Alloc::template rebind<value_type>::other::reference __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::reference

Iterator's reference type.

Definition at line 82 of file binary_heap_/point_const_iterator.hpp.

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

typedef Value_Type __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::value_type

Iterator's value type.

Definition at line 68 of file binary_heap_/point_const_iterator.hpp.

## Constructor & Destructor Documentation

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

__gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::binary_heap_point_const_iterator_ | ( |  | ) |

inline

Default constructor.

Definition at line 95 of file binary_heap_/point_const_iterator.hpp.

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

__gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::binary_heap_point_const_iterator_ | ( | const binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > & | other | ) |

inline

Copy constructor.

Definition at line 99 of file binary_heap_/point_const_iterator.hpp.

## Member Function Documentation

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

bool __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator!= | ( | const binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > & | other | ) | const

inline

Compares content (negatively) to a different iterator object.

Definition at line 126 of file binary_heap_/point_const_iterator.hpp.

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

const_reference __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator* | ( |  | ) | const

inline

Access.

Definition at line 113 of file binary_heap_/point_const_iterator.hpp.

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

const_pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator-> | ( |  | ) | const

inline

Access.

Definition at line 105 of file binary_heap_/point_const_iterator.hpp.

template<typename Value_Type , typename Entry , bool Simple, typename _Alloc >

bool __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator== | ( | const binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > & | other | ) | const

inline

Compares content to a different iterator object.

Definition at line 121 of file binary_heap_/point_const_iterator.hpp.

The documentation for this class was generated from the following file:

- binary_heap_/point_const_iterator.hpp